//
//  swiftmrb.swift
//  swiftmrb
//
//  Created by oga on 2014/09/14.
//  Copyright (c) 2014年 example. All rights reserved.
//

import Foundation

class Mruby {
	init() {
		swift_mrb_open()
	}
	deinit {
		swift_mrb_close()
	}
	func run(code : String) {
		let codeCString  = code.cStringUsingEncoding(NSUTF8StringEncoding)
		swift_mrb_run(codeCString!)
	}
	func mrb_load_run(filePath : String) {
		let filePathString = filePath.cStringUsingEncoding(NSUTF8StringEncoding)
		swift_mrb_load_run(filePathString!)
	}
	func mrb_gv_get(valueName : String) -> AnyObject? {
		swift_mrb_gv_get(valueName);
		return nil
	}
	func p(text : String) {
		let textCString : [CChar]? = text.cStringUsingEncoding(NSUTF8StringEncoding)
		swift_mrb_p(textCString!)
	}
}
